Vulnerability Name:

CVE-2017-11111

Assigned:2017-06-24
Published:2017-06-24
Updated:2018-06-29
Summary:In Netwide Assembler (NASM) 2.14rc0, preproc.c allows remote attackers to cause a denial of service (heap-based buffer overflow and application crash) or possibly have unspecified other impact via a crafted file.
CVSS v3 Severity:7.8 High (CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
6.9 Medium (Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H/E:U/RL:U/RC:R)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): Required
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): High
Integrity (I): High
Availibility (A): High
7.5 High (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)
6.6 Medium (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H/E:U/RL:U/RC:R)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
CVSS v2 Severity:6.8 Medium (CVSS v2 Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
7.8 High (CCN CVSS v2 Vector: AV:N/AC:L/Au:N/C:N/I:N/A:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Athentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Complete
Vulnerability Type:CWE-119
References:Source: MISC
Type: VENDOR_ADVISORY
https://bugzilla.nasm.us/show_bug.cgi?id=3392415

Source: XF
Type: UNKNOWN
nasm-cve201711111-dos(129140)

Source: UBUNTU
Type: UNKNOWN
USN-3694-1

Vulnerable Configuration:Configuration 1:
  • cpe:/a:nasm:netwide_assembler:2.14:rc0:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.opensuse.security:def:201711111
    V
    CVE-2017-11111
    2018-07-17
    oval:com.ubuntu.xenial:def:201711111000
    V
    CVE-2017-11111 on Ubuntu 16.04 LTS (xenial) - low.
    2017-07-08
    oval:com.ubuntu.trusty:def:201711111000
    V
    CVE-2017-11111 on Ubuntu 14.04 LTS (trusty) - low.
    2017-07-08
    oval:com.ubuntu.artful:def:201711111000
    V
    CVE-2017-11111 on Ubuntu 17.10 (artful) - low.
    2017-07-08
    BACK
    nasm netwide assembler 2.14 rc0